Delen via


Access Bridges - Create Or Update

Maak een nieuwe toegangsbrug of werk de eigenschappen van de bestaande toegangsbrug bij.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetworkCloud/accessBridges/{accessBridgeName}?api-version=2026-01-01-preview

URI-parameters

Name In Vereist Type Description
accessBridgeName
path True

AccessBridgeAllowedName

De naam van de toegangsbrug.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagbody

Name Vereist Type Description
extendedLocation True

Azure.ResourceManager.CommonTypes.ExtendedLocation

De uitgebreide locatie van de bron. Deze eigenschap is vereist bij het creëren van de bron.

location True

string

De geografische locatie waar de resource zich bevindt

properties.networkId True

string (arm-id)

De resource-ID van het interne netwerk in een laag 3 isolatiedomein met de te gebruiken IP-subnetten.

properties.ipv4ConnectedPrefix

string

Het IPv4-subnet van waaruit de toegangsbrug een adres toewijst. Dit subnet moet deel uitmaken van het interne netwerk dat door networkId is gespecificeerd.

properties.ipv6ConnectedPrefix

string

Het IPv6-subnet van waaruit de toegangsbrug een adres toewijst. Dit subnet moet deel uitmaken van het interne netwerk dat door networkId is gespecificeerd.

properties.securityRules

AccessBridgeSecurityRule[]

De lijst met beveiligingsregels die door de toegangsbrug worden gehandhaafd.

tags

object

Resourcetags.

Antwoorden

Name Type Description
200 OK

AccessBridge

De update-operatie van de bron 'AccessBridge' is geslaagd

201 Created

AccessBridge

De aanmaakoperatie van de bron 'AccessBridge' is geslaagd

Kopteksten

Azure-AsyncOperation: string

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Create or update access bridge

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/accessBridges/Bastion?api-version=2026-01-01-preview

{
  "extendedLocation": {
    "name": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.ExtendedLocation/customLocations/clusterExtendedLocationName",
    "type": "CustomLocation"
  },
  "location": "location",
  "properties": {
    "ipv4ConnectedPrefix": "198.51.100.0/24",
    "ipv6ConnectedPrefix": "2001:db8::/64",
    "networkId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.ManagedNetworkFabric/l3IsolationDomains/l3IsolationDomainName/internalNetworks/internalNetworkName",
    "securityRules": [
      {
        "description": "Allow management plane egress",
        "direction": "Outbound",
        "ipv4Addresses": [
          "10.10.20.10-10.10.20.20"
        ],
        "ipv6Addresses": [
          "2001:db8:abcd:12::1000-2001:db8:abcd:12::1fff"
        ],
        "port": "24562-24570"
      }
    ]
  },
  "tags": {
    "key1": "myvalue1",
    "key2": "myvalue2"
  }
}

Voorbeeldrespons

{
  "extendedLocation": {
    "name": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.ExtendedLocation/customLocations/clusterExtendedLocationName",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/accessBridges/accessBridgeName",
  "location": "location",
  "name": "accessBridgeName",
  "properties": {
    "detailedStatus": "Running",
    "detailedStatusMessage": "The access bridge is serving traffic from the VIP and storage appliance endpoints.",
    "endpoints": [
      {
        "fqdn": "bastion.contoso.example.com",
        "ipv4Address": "192.51.100.10",
        "ipv6Address": "2001:db8::10",
        "name": "vip"
      }
    ],
    "ipv4ConnectedPrefix": "198.51.100.0/24",
    "ipv6ConnectedPrefix": "2001:db8::/64",
    "networkId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.ManagedNetworkFabric/l3IsolationDomains/l3IsolationDomainName/internalNetworks/internalNetworkName",
    "protocol": "TCP",
    "provisioningState": "Succeeded",
    "securityRules": [
      {
        "description": "Allow management plane egress",
        "direction": "Outbound",
        "ipv4Addresses": [
          "10.10.20.10-10.10.20.20"
        ],
        "ipv6Addresses": [
          "2001:db8:abcd:12::1000-2001:db8:abcd:12::1fff"
        ],
        "port": "24562-24570"
      }
    ]
  },
  "systemData": {
    "createdAt": "2021-01-22T13:27:03.008Z",
    "createdBy": "identityA",
    "createdByType": "Application",
    "lastModifiedAt": "2021-01-22T13:29:03.001Z",
    "lastModifiedBy": "identityB",
    "lastModifiedByType": "User"
  },
  "tags": {
    "key1": "myvalue1",
    "key2": "myvalue2"
  },
  "type": "Microsoft.NetworkCloud/accessBridges"
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.NetworkCloud/locations/location/operationStatuses/operationId?api-version=2026-01-01-preview
{
  "extendedLocation": {
    "name": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.ExtendedLocation/customLocations/clusterExtendedLocationName",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/accessBridges/accessBridgeName",
  "location": "location",
  "name": "accessBridgeName",
  "properties": {
    "detailedStatus": "Running",
    "detailedStatusMessage": "The access bridge is serving traffic from the VIP and storage appliance endpoints.",
    "endpoints": [
      {
        "fqdn": "bastion.contoso.example.com",
        "ipv4Address": "192.51.100.10",
        "ipv6Address": "2001:db8::10",
        "name": "vip"
      }
    ],
    "ipv4ConnectedPrefix": "198.51.100.0/24",
    "ipv6ConnectedPrefix": "2001:db8::/64",
    "networkId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.ManagedNetworkFabric/l3IsolationDomains/l3IsolationDomainName/internalNetworks/internalNetworkName",
    "protocol": "TCP",
    "provisioningState": "Accepted",
    "securityRules": [
      {
        "description": "Allow management plane egress",
        "direction": "Outbound",
        "ipv4Addresses": [
          "10.10.20.10-10.10.20.20"
        ],
        "ipv6Addresses": [
          "2001:db8:abcd:12::1000-2001:db8:abcd:12::1fff"
        ],
        "port": "24562-24570"
      }
    ]
  },
  "systemData": {
    "createdAt": "2021-01-22T13:27:03.008Z",
    "createdBy": "identityA",
    "createdByType": "Application",
    "lastModifiedAt": "2021-01-22T13:29:03.001Z",
    "lastModifiedBy": "identityB",
    "lastModifiedByType": "User"
  },
  "tags": {
    "key1": "myvalue1",
    "key2": "myvalue2"
  },
  "type": "Microsoft.NetworkCloud/accessBridges"
}

Definities

Name Description
AccessBridge

AccessBridge vertegenwoordigt een beheerde toegangsbrugbron.

AccessBridgeAllowedName

De naam van de toegangsbrug.

AccessBridgeDetailedStatus

De gedetailleerde status die door de toegangsbrug wordt gerapporteerd.

AccessBridgeEndpoint

AccessBridgeEndpoint beschrijft één enkel geadverteerd service-eindpunt.

AccessBridgeProvisioningState

De bevoorradingstoestand van de toegangsbrug.

AccessBridgeSecurityRule

AccessBridgeSecurityRule legt een individuele toegangsregel vast die door de bridge wordt afgedwongen.

Azure.ResourceManager.CommonTypes.ExtendedLocation

Het complexe type van de uitgebreide locatie.

createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

ExtendedLocationType

Het type van de uitgebreide locatie.

SecurityRuleDirection

De richting van het toegestane netwerkverkeer is gebaseerd op de regel.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

TransportProtocol

Het protocol dat door de access bridge-eindpunten wordt geadverteerd.

AccessBridge

AccessBridge vertegenwoordigt een beheerde toegangsbrugbron.

Name Type Description
etag

string

"Als etag wordt verstrekt in de hoofdtekst van het antwoord, kan het ook worden verstrekt als een header volgens de normale etag-conventie. Entiteitstags worden gebruikt voor het vergelijken van twee of meer entiteiten uit dezelfde aangevraagde resource. HTTP/1.1 gebruikt entiteitstags in de headervelden etag (sectie 14.19), If-Match (sectie 14.24), If-None-Match (sectie 14.26) en If-Range (sectie 14.27).

extendedLocation

Azure.ResourceManager.CommonTypes.ExtendedLocation

De uitgebreide locatie van de bron. Deze eigenschap is vereist bij het creëren van de bron.

id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

location

string

De geografische locatie waar de resource zich bevindt

name

string

De naam van de resource

properties.detailedStatus

AccessBridgeDetailedStatus

De gedetailleerde status die door de toegangsbrug wordt gerapporteerd.

properties.detailedStatusMessage

string

De beschrijvende boodschap die bij de gedetailleerde status hoort.

properties.endpoints

AccessBridgeEndpoint[]

De waargenomen eindpunten die clients moeten gebruiken om de access bridge te bereiken.

properties.ipv4ConnectedPrefix

string

Het IPv4-subnet van waaruit de toegangsbrug een adres toewijst. Dit subnet moet deel uitmaken van het interne netwerk dat door networkId is gespecificeerd.

properties.ipv6ConnectedPrefix

string

Het IPv6-subnet van waaruit de toegangsbrug een adres toewijst. Dit subnet moet deel uitmaken van het interne netwerk dat door networkId is gespecificeerd.

properties.networkId

string (arm-id)

De resource-ID van het interne netwerk in een laag 3 isolatiedomein met de te gebruiken IP-subnetten.

properties.protocol

TransportProtocol

Het protocol dat door de access bridge-eindpunten wordt geadverteerd.

properties.provisioningState

AccessBridgeProvisioningState

De bevoorradingstoestand van de toegangsbrug.

properties.securityRules

AccessBridgeSecurityRule[]

De lijst met beveiligingsregels die door de toegangsbrug worden gehandhaafd.

systemData

systemData

Azure Resource Manager metadata met creationBy en modifiedBy informatie.

tags

object

Resourcetags.

type

string

Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

AccessBridgeAllowedName

De naam van de toegangsbrug.

Waarde Description
Bastion

De toegangsbrug voor de toegang tot de bastion van de bare metalen machine.

PrivateVault

De toegangsbrug voor clustertoegang tot de privékluis.

StorageDashboard

De toegangsbrug voor toegang tot het opslagdashboard.

AccessBridgeDetailedStatus

De gedetailleerde status die door de toegangsbrug wordt gerapporteerd.

Waarde Description
Running

De toegangsbrug is gezond en functioneert normal.

Degraded

De toegangsbrug ondervindt een verminderde prestatie of gedeeltelijke stroomuitval.

Failed

De toegangsbrug is niet operationeel.

AccessBridgeEndpoint

AccessBridgeEndpoint beschrijft één enkel geadverteerd service-eindpunt.

Name Type Description
fqdn

string

De volledig gekwalificeerde domeinnaam die wordt gebruikt om de certificaatnaam van het eindpunt te beschrijven.

ipv4Address

string

Het IPv4-adres dat aan het eindpunt is gekoppeld.

ipv6Address

string

Het IPv6-adres dat aan het eindpunt is gekoppeld.

name

string

De naam die het type eindpunt identificeert (bijvoorbeeld VIP of host).

AccessBridgeProvisioningState

De bevoorradingstoestand van de toegangsbrug.

Waarde Description
Accepted

De Status Geaccepteerd.

Canceled

De status Geannuleerd.

Failed

De status van Mislukt.

Provisioning

De Provisioning-status.

Succeeded

De status van Succeeded.

AccessBridgeSecurityRule

AccessBridgeSecurityRule legt een individuele toegangsregel vast die door de bridge wordt afgedwongen.

Name Type Description
description

string

De gebruiker gaf een waarde die deze regel beschrijft.

direction

SecurityRuleDirection

De richting van het toegestane netwerkverkeer is gebaseerd op de regel.

ipv4Addresses

string[]

De set IPv4-adressen die als bron of bestemming van de beveiligingsregel zijn toegestaan. Voor als enkel adres gebruik je een /32 (CIDR-notatie). Een of beide Ipv4Addresses en Ipv6Addresses moeten worden opgegeven. Voorbeeldformaten: 10.10.10.10-10.10.10.20 of 10.10.10.10/24.

ipv6Addresses

string[]

De set IPv6-adressen die als bron of bestemming van de beveiligingsregel zijn toegestaan. Voor als enkel adres, gebruik een /128 (CIDR-notatie). Een of beide Ipv4Addresses en Ipv6Addresses moeten worden opgegeven. Voorbeeldformaten: 2001:db8:abcd::1-2001:db8:abcd::ff of 2001:db8:abcd::1/64.

port

string

De bron- of bestemmingspoort of poortbereik. Voorbeeld: 24562 of 24562-24570.

Azure.ResourceManager.CommonTypes.ExtendedLocation

Het complexe type van de uitgebreide locatie.

Name Type Description
name

string

De naam van de uitgebreide locatie.

type

ExtendedLocationType

Het type van de uitgebreide locatie.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

ExtendedLocationType

Het type van de uitgebreide locatie.

Waarde Description
EdgeZone

Locatietype Azure Edge Zones

CustomLocation

Type aangepaste Azure-locaties

SecurityRuleDirection

De richting van het toegestane netwerkverkeer is gebaseerd op de regel.

Waarde Description
Inbound

Inkomend verkeer richting de on-premsises cluster.

Outbound

Uitgaand verkeer van de on-premises cluster.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.

TransportProtocol

Het protocol dat door de access bridge-eindpunten wordt geadverteerd.

Waarde Description
TCP

Het TCP-transportprotocol.

UDP

Het UDP-transportprotocol.